org.eclipse.viatra.query.tooling.ui

## Class ViatraQueryGUIPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.viatra.query.tooling.ui.ViatraQueryGUIPlugin

- All Implemented Interfaces:
    org.osgi.framework.BundleActivator

      public class ViatraQueryGUIPlugin
      extends org.eclipse.ui.plugin.AbstractUIPlugin

  The activator class controls the plug-in life cycle

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ICON_ARROW_BOTTOM`
    `static java.lang.String` | `ICON_ARROW_LEFT`
    `static java.lang.String` | `ICON_ARROW_RIGHT`
    `static java.lang.String` | `ICON_ARROW_TOP`
    `static java.lang.String` | `ICON_EPACKAGE`
    `static java.lang.String` | `ICON_ERROR`
    `static java.lang.String` | `ICON_MATCH`
    `static java.lang.String` | `ICON_MATCHER`
    `static java.lang.String` | `ICON_PIN`
    `static java.lang.String` | `ICON_PROJECT`
    `static java.lang.String` | `ICON_ROOT`
    `static java.lang.String` | `ICON_VIATRA`
    `static java.lang.String` | `ICON_VQL`
    `static java.lang.String` | `PLUGIN_ID` The plug-in ID

    - ### Fields inherited from class org.eclipse.core.runtime.Plugin

      `PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViatraQueryGUIPlugin()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ViatraQueryGUIPlugin` | `getDefault()` Returns the shared instance
    `protected void` | `initializeImageRegistry(org.eclipse.jface.resource.ImageRegistry reg)`
    `void` | `logException(java.lang.String message, java.lang.Throwable exception)`
    `void` | `start(org.osgi.framework.BundleContext context)`
    `void` | `stop(org.osgi.framework.BundleContext context)`

    - ### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

      `createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

    - ### Methods inherited from class org.eclipse.core.runtime.Plugin

      `find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PLUGIN_ID

          public static final java.lang.String PLUGIN_ID

      The plug-in ID
      See Also:
        Constant Field Values

    - #### ICON_ROOT

          public static final java.lang.String ICON_ROOT

      See Also:
        Constant Field Values

    - #### ICON_MATCHER

          public static final java.lang.String ICON_MATCHER

      See Also:
        Constant Field Values

    - #### ICON_MATCH

          public static final java.lang.String ICON_MATCH

      See Also:
        Constant Field Values

    - #### ICON_ERROR

          public static final java.lang.String ICON_ERROR

      See Also:
        Constant Field Values

    - #### ICON_ARROW_RIGHT

          public static final java.lang.String ICON_ARROW_RIGHT

      See Also:
        Constant Field Values

    - #### ICON_ARROW_LEFT

          public static final java.lang.String ICON_ARROW_LEFT

      See Also:
        Constant Field Values

    - #### ICON_PIN

          public static final java.lang.String ICON_PIN

      See Also:
        Constant Field Values

    - #### ICON_ARROW_TOP

          public static final java.lang.String ICON_ARROW_TOP

      See Also:
        Constant Field Values

    - #### ICON_ARROW_BOTTOM

          public static final java.lang.String ICON_ARROW_BOTTOM

      See Also:
        Constant Field Values

    - #### ICON_EPACKAGE

          public static final java.lang.String ICON_EPACKAGE

      See Also:
        Constant Field Values

    - #### ICON_VQL

          public static final java.lang.String ICON_VQL

      See Also:
        Constant Field Values

    - #### ICON_PROJECT

          public static final java.lang.String ICON_PROJECT

      Since:
        1.3
      See Also:
        Constant Field Values

    - #### ICON_VIATRA

          public static final java.lang.String ICON_VIATRA

      Since:
        1.4
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ViatraQueryGUIPlugin

          public ViatraQueryGUIPlugin()

  - ### Method Detail

    - #### start

          public void start(org.osgi.framework.BundleContext context)
                     throws java.lang.Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop(org.osgi.framework.BundleContext context)
                    throws java.lang.Exception

      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
      Throws:
        `java.lang.Exception`

    - #### getDefault

          public static ViatraQueryGUIPlugin getDefault()

      Returns the shared instance
      Returns:
        the shared instance

    - #### initializeImageRegistry

          protected void initializeImageRegistry(org.eclipse.jface.resource.ImageRegistry reg)

      Overrides:
        `initializeImageRegistry` in class `org.eclipse.ui.plugin.AbstractUIPlugin`

    - #### logException

          public void logException(java.lang.String message,
                                   java.lang.Throwable exception)